<?php

namespace App\Geo\Params;

use \App\Core\Template\Output as Output;
use \App\Geo\Params\Classes\Params as Params;

class ParamsController {

    /**
    * Index
    *   Show the main Params list
    */
    function index(){
        Output::setView('index');
        $list = Array();

        for($i = 0; $i <= 10; $i++){
            $obj = Array();
            $obj['id'] = $i;
            $obj['value'] = md5($i);
            $obj['description'] = sha1($i);
            $list[] = $obj;
        }
        Output::addValue('list', $list );
        Output::render();
    }

    /**
    * Create
    *
    * Render the main Params formulary
    */
    function create(){
        Output::setView('form', ['id' => 0]);
        Output::render();
    }

    /**
    * Store
    *
    * Store the param on the database
    * @param Params $params
    */
    function store(Params $params){

    }

    /**
    * Search
    *
    * Store the param on the database
    * @param Params $params
    */
    function search(){
    
    }

    /**
    * Show
    *
    * Render one register
    *
    * @param Params $params
    */
    function show(Params $params){

    }

    /**
    * Edit
    *
    * Render the formular for a database Params
    *
    * @param Params $params
    */
    function edit(Params $params){
        Output::setView('form', $params);
        Output::render();
    }

    /**
    * Update
    * Store the changes of the param on the database
    *
    * @param Params $params
    */
    function update(Params $params){

    }

    /**
    * Destroy
    * If the object has soft delete.
    *
    * @param Params $params
    */
    function destroy(Params $params){

    }

    /**
    * Purge
    * Remove object even with soft delete.
    *
    * @param Params $params
    */
    function purge(Params $params){

    }
}